org.apache.xml.serializer.utils

## Class DOM2Helper

- java.lang.Object
- - org.apache.xml.serializer.utils.DOM2Helper

-     public final class DOM2Helper
      extends java.lang.Object

  This class provides a DOM level 2 "helper", which provides services currently not provided be the DOM standard. This class is a copy of the one in org.apache.xml.utils. It exists to cut the serializers dependancy on that package. The differences from the original class are: it doesn't extend DOMHelper, not depricated, dropped method isNodeAfter(Node node1, Node node2) dropped method parse(InputSource) dropped method supportSAX() dropped method setDocument(doc) dropped method checkNode(Node) dropped method getDocument() dropped method getElementByID(String id, Document doc) dropped method getParentOfNode(Node node) dropped field Document m_doc; made class non-public This class is not a public API, it is only public because it is used in org.apache.xml.serializer.
  Usage:
    **For internal use only**

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DOM2Helper()` Construct an instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getLocalNameOfNode(org.w3c.dom.Node n)` Returns the local name of the given node, as defined by the XML Namespaces specification.
    `java.lang.String` | `getNamespaceOfNode(org.w3c.dom.Node n)` Returns the Namespace Name (Namespace URI) for the given node.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DOM2Helper

          public DOM2Helper()

      Construct an instance.

  - ### Method Detail

    - #### getLocalNameOfNode

          public java.lang.String getLocalNameOfNode(org.w3c.dom.Node n)

      Returns the local name of the given node, as defined by the XML Namespaces specification. This is prepared to handle documents built using DOM Level 1 methods by falling back upon explicitly parsing the node name.
      Parameters:
        `n` - Node to be examined
      Returns:
        String containing the local name, or null if the node was not assigned a Namespace.

    - #### getNamespaceOfNode

          public java.lang.String getNamespaceOfNode(org.w3c.dom.Node n)

      Returns the Namespace Name (Namespace URI) for the given node. In a Level 2 DOM, you can ask the node itself. Note, however, that doing so conflicts with our decision in getLocalNameOfNode not to trust the that the DOM was indeed created using the Level 2 methods. If Level 1 methods were used, these two functions will disagree with each other.

      TODO: Reconcile with getLocalNameOfNode.

      Parameters:
        `n` - Node to be examined
      Returns:
        String containing the Namespace URI bound to this DOM node at the time the Node was created.

Copyright © 2023 Apache XML Project. All Rights Reserved.